/* Css Reset */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/* My Own Styles */


/* Root Styles */
:root {
	--dark-text-and-fill-color: hsl(229, 25%, 31%);
	--light-text-and-fill-color: #f8f8f8;
	--shadow-button-color:#bbb8b880;
 	--score-text-color: hsl(229, 64%, 46%);
	--background-color-start:hsl(214, 47%, 23%);
	--background-color-end:hsl(237, 49%, 15%);
	--header-outline-color:hsl(217, 16%, 45%);
	--scissors-bg-start:#ec9e0e;
	--scissors-bg-end:#eca922;
	--paper-bg-start: #4864f4;
	--paper-bg-end:#5671f5;
	--rock-bg-start:#ff7188;
	--rock-bg-end:#d61a3c;

}

/* General Styles */
* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
	height: 101vh;
}
    
body {
	position: relative;
	height: inherit;
	line-height: 1;
	font-size: 1.6rem;
	font-family: 'Barlow Semi Condensed', sans-serif;
    max-width: 1366px;
    margin: 0 auto;
	background: rgba(17, 107, 176, 1.0);
	background: -webkit-radial-gradient(top, rgba(17, 107, 176, 1.0), rgba(20, 22, 57, 1.0));
	background: -moz-radial-gradient(top, rgba(17, 107, 176, 1.0), rgba(20, 22, 57, 1.0));
	background: radial-gradient(to bottom, rgba(17, 107, 176, 1.0), rgba(20, 22, 57, 1.0));
	background-repeat: no-repeat;
	border: 1px solid transparent;
}

p{
	text-transform: uppercase;
	font-size: 1.5rem;
	letter-spacing: 0.2rem;
}

/* header  */
.score-and-titles-container{
    display: flex;
    justify-content: space-between;
	align-items: center;
    border: 0.3rem solid var(--header-outline-color);
    margin: 0 auto;
    margin-top: 4.5rem;
    width: 50%;
	border-radius: 1.6rem;
	padding: 1.2% 1.5% 0.75% 1.95%;
	letter-spacing: 0.1rem;
}


.score-container{
	text-align: center;
	background-color: var(--light-text-and-fill-color);
	padding: 2rem 5rem 1.2rem 5rem;
	border-radius: 1rem;

}

.score-container p{
	color: var(--score-text-color);
	margin-bottom: 0.1rem;
}
.score-num{
	font-size: 350%;
	color: var(--header-outline-color);
	font-weight: 700;
}

/* main section */
.triangle-img-container{
	max-width: 20%;
	max-height: 20%;
	margin: 0 auto;
	display: flex;
	justify-content: center;
	margin-top: 13rem;
	position: relative;
	min-width: max-content;
	margin-bottom: 10%;
	/* display: none; */
	/* Toggle Display */
}

.triangle-img{
	width: 23%;
}
.outer-play-container{
	position: absolute;
	padding: 2rem;
	border-radius: 50%;
	transition: 0.2s ease;
	
}

/* gradient was causing a weird issue with the borders of the classes below, I removed them as an exec-decision ;) */
.blue-paper{
	left: -5rem;
	top: -5rem;
	background: rgb(72,100,244);
	/* background: -moz-linear-gradient(0deg, rgba(72,100,244,1) 0%, rgba(86,113,245,1) 100%);
	/* background: -webkit-linear-gradient(0deg, rgba(72,100,244,1) 0%, rgba(86,113,245,1) 100%); */
	/* background: linear-gradient(0deg, rgba(72,100,244,1) 0%, rgba(86,113,245,1) 100%); */
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#4864f4",endColorstr="#5671f5",GradientType=1);
	border-bottom: 0.6rem solid rgb(37, 67, 235);
	
}
.yellow-scissors{
	right: -5rem;
	top: -5rem;
	background: rgb(236, 188, 30);
	/* background: -moz-linear-gradient(180deg, rgba(250,236,26,1) 0%, rgba(230,174,62,1) 100%);
	background: -webkit-linear-gradient(180deg, rgba(250,236,26,1) 0%, rgba(230,174,62,1) 100%);
	background: linear-gradient(180deg, rgba(250,236,26,1) 0%, rgba(230,174,62,1) 100%);  */
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#faec1a",endColorstr="#e6ae3e",GradientType=1);
	border-bottom: 0.6rem solid rgb(219, 146, 0);
}

.red-rock{
	bottom: -5rem;
	background: rgb(230, 17, 17);
	/* background: -moz-linear-gradient(180deg, rgba(255,113,136,1) 0%, rgba(214,26,60,1) 73%);
	background: -webkit-linear-gradient(180deg, rgba(255,113,136,1) 0%, rgba(214,26,60,1) 73%);
	background: linear-gradient(180deg, rgba(255,113,136,1) 0%, rgba(214,26,60,1) 73%); */
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ff7188",endColorstr="#d61a3c",GradientType=1);
	border-bottom: 0.6rem solid rgb(133, 0, 24);
}


.inner-play-container{
	background-color: var(--light-text-and-fill-color);
	border-radius: 50%;
	border-top: 0.8rem solid var(--shadow-button-color);
	display: flex;
	align-items: center;
	justify-content: center;
	width: 12rem;
	height: 12rem;
	padding: 2rem;
}

/* You Picked Stage*/
.you-picked-stage{
	width: 35%;
	min-width: max-content;
	margin: 0 auto;
	justify-content: space-between;
	margin-top: 7rem;
	align-items: center;
	display: none;

}


.you-picked-container, .the-house-picked-container{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.you-picked-container p, .the-house-picked-container p{
	margin-bottom: 4rem;
	color: var(--light-text-and-fill-color);
}

.the-house-puck-container{
background-color:rgba(20, 22, 57, 0.582);
border-radius: 50%;
width: 13rem;
height: 13rem;

}

.hover-puck:hover{
	/* Hover states on play selections */
	border: 1.5rem solid rgba(143, 143, 143, 0.479);

}
/* Who Won Repeat Styles */

.who-won-container-desktop, .who-won-container{
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.you-win-or-loose-text, .you-win-or-loose-text-desktop{
	color: var(--light-text-and-fill-color);
	text-transform: uppercase;
	font-weight: 900;
	letter-spacing: 0.2rem;
}

.play-again-button, .play-again-button-desktop{
	height: 4.5rem;
	margin-top: 2rem;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 0.8rem;
	background-color: var(--light-text-and-fill-color);
}

/* Who won section desktop */

.who-won-container-desktop{
	display: flex;
	margin-left: 4rem;
	margin-right: 4rem;
}

.you-win-or-loose-text-desktop{
	font-size: 4rem;
}

.play-again-button-desktop{
	width: 100%;
}

/* Who won section mobile*/
.who-won-container{
	display: none;
	height: max-content;
	width: 100%;

}
.you-win-or-loose-text{
	font-size: 6rem;
}
.play-again-button{
	width: 60%;
}

/* Rules Button */

.rules-button{
	display: flex;
	align-items: center;
	justify-content: center;
	height: 2rem;
	position: absolute;
	bottom: 0;
	right: 0;
	color: var(--light-text-and-fill-color);
	padding: 2rem 4rem;
	border-radius: 1rem;
	margin: 0 3rem 3rem 0;
	border: 0.1rem solid var(--header-outline-color);
}

/* Rules Modal */
.rules-modal-background{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.52);
	opacity: 1;
	display: none;
	align-items: center;
	justify-content: center;
	/* Toggle With Js modal background line above to display: flex;*/
}

.rules-modal{
	background-color: var(--light-text-and-fill-color);
	padding: 4rem 6rem 4rem 5rem;
	border-radius: 1rem;
}

.rules-text{
	font-size: 3rem;
	text-transform: uppercase;
	letter-spacing:0.1rem;
	color: var(--dark-text-and-fill-color);
}

.top-rules-and-close-container{
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	width: 108%;
	margin-bottom: 4rem;
}


/* Hover Styles For Play Again Btn */
.hover-you-win:hover{
	color: rgb(20, 156, 20);
}
.hover-you-lose:hover{
	color:rgb(207, 20, 20);
}

/* tablet responsiveness */
@media screen and (max-width: 1000px){
/* You Picked Responsiveness */
	.you-picked-stage{
		width: 70%;
	}
}

@media screen and (max-width: 780px){
	.score-and-titles-container{
		border: 4px solid var(--header-outline-color);
		width: 80%;
	}

	.score-container{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	width: 25%;
	}

	.titles-container img{
		width: 90%;
	}

	.triangle-img-container{
		margin-top: 7rem;
		transform: scale(0.8);
	}

	.rules-button{
		position: unset;
		bottom: unset;
		right: unset;
		margin: 0 auto;
		margin-top: 7%;
		width: 40%;
	}

	/* rules order on mobile */
	.rules-btn-and-won-container{
		display: flex;
		justify-content: center;
		flex-direction: column;
	}

	.three{
		order: 23;
	}
	.four{
		order: -1;
	}
	/* You Win or Loose Desktop */
	.who-won-container-desktop{
		display: none;
	}
	.who-won-container{
		display: flex;
	}

	/* change the "you picked" and "the house picked" text order for mobile*/
	.one{
		order: 2;
		margin-top: 1.3rem;
	}
	.two{
		order: 1;
	}
	.you-picked-stage{
		margin-top: 2rem;
	}
}
/* Mobile home responsiveness */
@media screen and (max-width: 500px){
	body{
		width: 100%;
	}

	.titles-container img{
		width: 80%;
	}
	.score-and-titles-container{
		padding: 1.5rem;
		margin-top: 1rem;
		border-radius: 0.8rem;
	}
	.score-container{
		width: 40%;
	}
	.rules-modal{
		width: 80%;
	}
	.rules-image{
		width: 110%;
	}
	/* You picked Stage Responsiveness */

	.you-picked-stage{
		margin-top: 2rem;
		width: 93%;
	}

	.outer-play-container:hover{
		border: none;
	}
	

	
}

@media  screen and (max-width: 400px){
	
}

@media screen and (max-width: 320px) {
	.triangle-img-container{
		transform: scale(0.7);
		margin-top: 2rem;
	}
	/* You Picked Responsiveness */
	.you-picked-stage{
		margin: 0 auto;
		width: 100vw;
		transform: scale(0.9);
	}
	p.one, p.two{
		margin-bottom: unset;
	}
	.outer-play-container{
		transform: scale(0.9);
	}
	.rules-button{
		margin-top: 5%;
	}
	.you-win-or-loose-text{
		font-size: 4rem;
	}
	

}
@media screen and (max-width: 280px) {
	.triangle-img-container{
		transform: scale(0.6);
	}
}

